Subject: Re: bug#11094: Wrong cursor positioning with display+invisible

From: Stefan Monnier <[email-masked]>
Date: Mon, 02 Apr 2012 16:15:17 -0400

>> We might as well keep it open until the problem is actually solved.
> Then please define precisely what problem needs to be solved, because
> I'm definitely confused about that now.

We could start with:

  emacs -Q
  (put-text-property (point-min) (+ 2 (point-min)) 'invisible t)
  (put-text-property (+ 2 (point-min)) (+ 4 (point-min)) 'display "<>")
  (goto-char (point-min))

where I'd expect the cursor to be drawn to the left of "<>" rather than
to the right.

        Stefan